| Home | Libraries | People | FAQ | More

## Function template erase_all_regex

boost::algorithm::erase_all_regex — Erase all regex algorithm.

## Synopsis

    // In header: <boost/algorithm/string/regex.hpp>

    template<typename SequenceT, typename CharT, typename RegexTraitsT>
      void erase_all_regex(SequenceT & Input,
                           const basic_regex< CharT, RegexTraitsT > & Rx,
                           match_flag_type Flags = match_default);

## Description

Erase all substrings, matching given regex, from the input. The input string is modified in-place.

Parameters:

`Flags` | Regex options
`Input` | An input string
`Rx` | A regular expression